package common.block;

import common.item.CheatTab;
import common.material.Material;
import common.model.BlockLayer;
import common.rng.Random;

public class BlockGlass extends BlockBreakable
{
    public BlockGlass(Material materialIn, boolean ignoreSimilarity)
    {
        super(materialIn, ignoreSimilarity);
        this.setTab(CheatTab.tabBlocks);
    }

    /**
     * Returns the quantity of items to drop on block destruction.
     */
    public int quantityDropped(Random random)
    {
        return 0;
    }

    public BlockLayer getBlockLayer()
    {
        return BlockLayer.CUTOUT;
    }

    public boolean isFullCube()
    {
        return false;
    }

    public boolean canSilkHarvest()
    {
        return true;
    }
}
